From 626d6c70d837bea6cb9e1aa7542fdef9a3ebb01c Mon Sep 17 00:00:00 2001
From: mahesh pittala <mahesh@multicorewareinc.com>
Date: Tue, 13 Sep 2022 09:12:28 +0530
Subject: [PATCH] Fix 32bit and 64bit builds generation for ARM

---
 build/aarch64-linux/crosscompile.cmake | 2 +-
 build/arm-linux/make-Makefiles.bash    | 2 +-
 source/common/version.cpp              | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/build/aarch64-linux/crosscompile.cmake b/build/aarch64-linux/crosscompile.cmake
index 41c8217f2..17f1d3bb5 100644
--- a/build/aarch64-linux/crosscompile.cmake
+++ b/build/aarch64-linux/crosscompile.cmake
@@ -3,7 +3,7 @@
 # Please report bugs on bitbucket
 # Run cmake with: cmake -DCMAKE_TOOLCHAIN_FILE=crosscompile.cmake -G "Unix Makefiles" ../../source && ccmake ../../source
 
-set(CROSS_COMPILE_ARM 1)
+set(CROSS_COMPILE_ARM64 1)
 set(CMAKE_SYSTEM_NAME Linux)
 set(CMAKE_SYSTEM_PROCESSOR aarch64)
 
diff --git a/build/arm-linux/make-Makefiles.bash b/build/arm-linux/make-Makefiles.bash
index cd88c4180..c9582da0a 100644
--- a/build/arm-linux/make-Makefiles.bash
+++ b/build/arm-linux/make-Makefiles.bash
@@ -1,4 +1,4 @@
 #!/bin/bash
 # Run this from within a bash shell
 
-cmake -G "Unix Makefiles" ../../source && ccmake ../../source
+cmake -DCMAKE_TOOLCHAIN_FILE="crosscompile.cmake" -G "Unix Makefiles" ../../source && ccmake ../../source
diff --git a/source/common/version.cpp b/source/common/version.cpp
index 42a6b1d86..1c07d5a9d 100644
--- a/source/common/version.cpp
+++ b/source/common/version.cpp
@@ -71,7 +71,7 @@
 #define ONOS    "[Unk-OS]"
 #endif
 
-#if X86_64
+#if X86_64 || X265_ARCH_ARM64
 #define BITS    "[64 bit]"
 #else
 #define BITS    "[32 bit]"
-- 
2.30.0.windows.1

